org.jboss.jca.common.api.metadata.common

## Class Extension

- java.lang.Object
- - org.jboss.jca.common.api.metadata.common.Extension

- All Implemented Interfaces:
    java.io.Serializable, JCAMetadata, ValidatableMetadata

      public final class Extension
      extends java.lang.Object
      implements JCAMetadata, ValidatableMetadata

  A JdbcAdapterExtension.
  Author:
    Stefano Maestri
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Extension.Attribute` A Attribute.
    `static class` | `Extension.Tag` A Tag.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Extension(java.lang.String className, java.lang.ClassLoader classLoader, java.util.Map<java.lang.String,java.lang.String> configPropertiesMap)` Create a new JdbcAdapterExtension.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.ClassLoader` | `getClassLoader()` Get the classLoader.
    `java.lang.String` | `getClassName()` Get the className.
    `java.util.Map<java.lang.String,java.lang.String>` | `getConfigPropertiesMap()` Get the configPropertiesMap.
    `int` | `hashCode()`
    `void` | `validate()` Validate this metadata according validation required by specification

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Extension

          public Extension(java.lang.String className,
                           java.lang.ClassLoader classLoader,
                           java.util.Map<java.lang.String,java.lang.String> configPropertiesMap)
                    throws ValidateException

      Create a new JdbcAdapterExtension.
      Parameters:
        `className` - the className
        `configPropertiesMap` - configPropertiesMap
      Throws:
        `ValidateException` - ValidateException

  - ### Method Detail

    - #### getClassName

          public final java.lang.String getClassName()

      Get the className.
      Returns:
        the className.

    - #### getClassLoader

          public final java.lang.ClassLoader getClassLoader()

      Get the classLoader.
      Returns:
        the classLoader

    - #### getConfigPropertiesMap

          public final java.util.Map<java.lang.String,java.lang.String> getConfigPropertiesMap()

      Get the configPropertiesMap.
      Returns:
        the configPropertiesMap.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws ValidateException

      Description copied from interface: `ValidatableMetadata`
      Validate this metadata according validation required by specification
      Specified by:
        `validate` in interface `ValidatableMetadata`
      Throws:
        `ValidateException` - in case of validation fail

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)